yams #149361 remove pre 0.29 bw compat [validation pending]

It's old and should be unneeded now.

prioritynormal
typeenhancement
done in0.39.0
load left0.000
closed by#d7d6c6f763c1 Remove dead and deprecated code (closes #149361)
patchRemove dead and deprecated code (closes #149361) [applied]Remove dead and deprecated code (closes #149361) [applied]